<div class="footer"></div>
<?= $session->getFlashdata('return_message') ? alert_CommonHelper($session->getFlashdata('return_message')) : "" ?>
<script type="text/javascript">
  $(document).ready(function() {
    //class가 calender인 inputbox용,날짜field용
    $(".calender").datepicker({
      changeYear: true,
      changeMonth: true,
      yearRange: "-10:+0",
      dateFormat: "yy-mm-dd"
    });
    //id가 batchjobuids_checkbox인 버튼을 클릭시 class가 batchjobuids_checkboxs인 checkbox용
    $('#batchjobuids_checkbox').click(function(event) {
      if (this.checked) {
        $('.batchjobuids_checkboxs').each(function() { //loop checkbox
          $(this).prop('checked', true); //check
        });
      } else {
        $('.batchjobuids_checkboxs').each(function() { //loop checkbox
          $(this).prop('checked', false); //uncheck
        });
      }
    });
    //class가 select-field인 SelectBox용
    $(".select-field").select2({
      theme: "bootstrap-5",
    });
    //class가 editor인 textarea용
    tinymce.init({
      selector: '.editor',
      theme: 'silver',
      height: 500
    });
  });
</script>